> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Chi tiết mã chứng khoán



## OpenAPI

````yaml /vi/openapi/dnse.2026-09-15.openapi.yaml get /instruments
openapi: 3.0.0
info:
  title: DNSE OpenAPI (2026-09-15)
  version: 2.0.0
  description: DNSE OpenAPI spec
servers:
  - url: https://openapi.dnse.com.vn
    description: Production
  - url: https://sb-openapi.dnse.com.vn
    description: Sanbox
security: []
tags:
  - name: trading
    description: Xác thực và các hoạt động đặt lệnh.
    x-group: Giao dịch
  - name: account
    description: Tài khoản, số dư, khoản vay, lệnh và vị thế.
    x-group: Tài khoản
  - name: market
    description: Thông tin mã chứng khoán, báo giá, OHLC và giao dịch.
    x-group: Dữ liệu thị trường
paths:
  /instruments:
    get:
      tags:
        - market
      summary: Chi tiết mã chứng khoán
      operationId: symbol_getInstruments
      parameters:
        - $ref: '#/components/parameters/XApiKey'
        - $ref: '#/components/parameters/XAuxDate'
        - $ref: '#/components/parameters/XSignature'
        - name: symbol
          in: query
          required: true
          description: Danh sách mã chứng khoán
          deprecated: false
          schema:
            type: string
          example: SSI,SHS,ACB,HUT,DSE
        - name: marketId
          in: query
          description: |-
            Mã thị trường niêm yết
            - STO: Cổ phiếu sàn HOSE
            - STX: Cổ phiếu sàn HNX
            - UPX: Cổ phiếu sàn UPCOM
            - DVX: Phái sinh
            - HCX: Trái phiếu doanh nghiệp
          schema:
            $ref: '#/components/schemas/MarketId'
          example: STO
        - name: securityGroupId
          in: query
          description: |-
            Nhóm chứng khoán
            - ST: Cổ phiếu
            - EF: Quỹ ETF
            - EW: Chứng quyền
            - FU: Hợp đồng tương lai
            - BS: Trái phiếu
          schema:
            $ref: '#/components/schemas/SecurityGroupId'
          example: ST
        - name: indexName
          in: query
          description: |-
            Chỉ số thị trường 
            - VN30: Top 30 cổ phiếu sàn HOSE
            - VN100: Top 100 cổ phiếu sàn HOSE
            - HNX30: Top 30 cổ phiếu sàn HNX
          schema:
            $ref: '#/components/schemas/MarketIndex'
          example: VN30
        - name: limit
          in: query
          description: Số bản ghi trên mỗi trang
          schema:
            type: integer
          example: 100
        - name: page
          in: query
          description: Phân trang hiện tại
          schema:
            type: integer
          example: 1
      responses:
        '200':
          description: OK
          headers:
            Access-Control-Allow-Credentials:
              $ref: '#/components/headers/AccessControlAllowCredentials'
            Content-Length:
              $ref: '#/components/headers/ContentLength'
            Date:
              $ref: '#/components/headers/Date'
            Vary:
              $ref: '#/components/headers/Vary'
            X-Content-Type-Options:
              $ref: '#/components/headers/XContentTypeOptions'
            X-Frame-Options:
              $ref: '#/components/headers/XFrameOptions'
            X-Ratelimit-Limit:
              $ref: '#/components/headers/XRateLimitLimit'
            X-Ratelimit-Remaining:
              $ref: '#/components/headers/XRateLimitRemaining'
            X-Ratelimit-Reset:
              $ref: '#/components/headers/XRateLimitReset'
            X-Request-Id:
              $ref: '#/components/headers/XRequestId'
            X-Tyk-Api-Expires:
              schema:
                type: string
              example: Thu, 02 Jan 3000 15:04:00 UTC
            X-Xss-Protection:
              $ref: '#/components/headers/XXssProtection'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InstrumentsResponse'
              example:
                data:
                  - symbol: ACB
                    marketId: STO
                    securityGroupId: ST
                    symbolType: ''
                    listedDate: '2020-12-09'
                    shortName: Ngân hàng Á Châu
                    name: Ngân hàng TMCP Á Châu
                    indexName:
                      - VN100
                      - VN30
                  - symbol: DSE
                    marketId: STO
                    securityGroupId: ST
                    symbolType: ''
                    listedDate: '2024-07-01'
                    shortName: Chứng khoán DNSE
                    name: CTCP Chứng khoán DNSE
                    indexName:
                      - VN100
                  - symbol: HUT
                    marketId: STX
                    securityGroupId: ST
                    symbolType: ''
                    listedDate: '2008-04-11'
                    shortName: CTCP TASCO
                    name: CTCP Tasco
                    indexName:
                      - HNX30
                  - symbol: SHS
                    marketId: STX
                    securityGroupId: ST
                    symbolType: ''
                    listedDate: '2009-06-25'
                    shortName: Chứng khoán SG HN
                    name: CTCP Chứng khoán Sài Gòn - Hà Nội
                    indexName:
                      - HNX30
                  - symbol: SSI
                    marketId: STO
                    securityGroupId: ST
                    symbolType: ''
                    listedDate: '2007-10-29'
                    shortName: Chứng khoán SSI
                    name: CTCP Chứng khoán SSI
                    indexName:
                      - VN100
                      - VN30
                total: 5
                page: 1
                pageSize: 100
        '400':
          $ref: '#/components/responses/BadRequest'
        '500':
          $ref: '#/components/responses/InternalError'
components:
  parameters:
    XApiKey:
      name: X-Api-Key
      in: header
      required: true
      description: >-
        API key được cấp khi đăng ký dịch vụ DNSE OpenAPI.

        Ví dụ:
        `b3JnOmRuc2UgaWQ6MjdlZTc1MzcxZGFkNTY0NmYzYTM2NDk1ZGE3OGNiOGQgaDptdXJtdXIxMjg=`
      schema:
        type: string
    XAuxDate:
      name: X-Aux-Date
      in: header
      required: true
      description: |-
        Thời gian thực hiện request, dùng trong cơ chế ký request của DNSE.
        Ví dụ: `Sat, 01 May 2026 14:24:23 +0000`
      schema:
        type: string
    XSignature:
      name: X-Signature
      in: header
      required: true
      description: >-
        Chữ ký xác thực request được tạo từ API key secret và X-Aux-Date.

        Ví dụ: `Signature
        keyId="b3JnOmRuc2UgaWQ6MjdlZTc1MzcxZGFkNTY0NmYzYTM2NDk1ZGE3OGNiOGQgaDptdXJtdXIxMjg=",algorithm="hmac-sha256",headers="(request-target)
        x-aux-date",signature="rfbVXHDUi%2B%2FsOkLXle7O17Qm%2F05cbISSR%2BDcFrBHfqQ%3D",nonce="4add8c3264e4492b9f8ecde0cf26b523"`
      schema:
        type: string
  schemas:
    MarketId:
      type: string
      description: |-
        Mã thị trường.

        - `UNSPECIFIED`: Không xác định
        - `DVX`: Phái sinh sàn HNX
        - `HCX`: Trái phiếu doanh nghiệp sàn HNX
        - `STO`: Cổ phiếu sàn HOSE
        - `STX`: Cổ phiếu sàn HNX
        - `UPX`: Cổ phiếu sàn Upcom
      enum:
        - UNSPECIFIED
        - DVX
        - HCX
        - STO
        - STX
        - UPX
      x-enum-descriptions:
        - Không xác định
        - Phái sinh sàn HNX
        - Trái phiếu doanh nghiệp sàn HNX
        - Cổ phiếu sàn HOSE
        - Cổ phiếu sàn HNX
        - Cổ phiếu sàn Upcom
      x-enum-varnames:
        - UNSPECIFIED
        - DVX
        - HCX
        - STO
        - STX
        - UPX
      example: STO
    SecurityGroupId:
      type: string
      description: |-
        Định danh nhóm chứng khoán.

        - `UNSPECIFIED`: Không xác định
        - `BS`: Trái phiếu doanh nghiệp
        - `EF`: Quỹ ETF
        - `EW`: Chứng quyền
        - `FU`: Hợp đồng tương lai
        - `SR`: Quyền mua
        - `ST`: Cổ phiếu
      enum:
        - UNSPECIFIED
        - BS
        - EF
        - EW
        - FU
        - SR
        - ST
      x-enum-descriptions:
        - Không xác định
        - Trái phiếu doanh nghiệp
        - Quỹ ETF
        - Chứng quyền
        - Hợp đồng tương lai
        - Quyền mua
        - Cổ phiếu
      x-enum-varnames:
        - UNSPECIFIED
        - BS
        - EF
        - EW
        - FU
        - SR
        - ST
      example: ST
    MarketIndex:
      type: string
      description: |-
        Tên chỉ số thị trường.

        - `VNINDEX`: Chỉ số sàn HOSE
        - `HNX`: Chỉ số sàn HNX
        - `HNX30`: Chỉ số Top 30 cổ phiếu sàn HNX
        - `VN30`: Chỉ số Top 30 cổ phiếu sàn HOSE
        - `VN100`: Chỉ số Top 100 cổ phiếu sàn HOSE
        - `VNXALLSHARE`: Chỉ số các cổ phiếu chọn lọc sàn HOSE
        - `UPCOM`: Chỉ số sàn UPCOM
        - `VNMITECH`: Chỉ số nhóm cổ phiếu công nghệ
        - `VN50GROWTH`: Chỉ số nhóm 50 cổ phiếu tăng trưởng sàn HOSE
        - `VNDIVIDEND`: Chỉ số nhóm cổ phiếu có tỷ suất cổ tức tăng trưởng
      enum:
        - VNINDEX
        - HNX
        - HNX30
        - VN30
        - VN100
        - VNXALLSHARE
        - UPCOM
        - VNMITECH
        - VN50GROWTH
        - VNDIVIDEND
      x-enum-descriptions:
        - Chỉ số sàn HOSE
        - Chỉ số sàn HNX
        - Chỉ số Top 30 cổ phiếu sàn HNX
        - Chỉ số Top 30 cổ phiếu sàn HOSE
        - Chỉ số Top 100 cổ phiếu sàn HOSE
        - Chỉ số các cổ phiếu chọn lọc sàn HOSE
        - Chỉ số sàn UPCOM
        - Chỉ số nhóm cổ phiếu công nghệ
        - Chỉ số nhóm 50 cổ phiếu tăng trưởng sàn HOSE
        - Chỉ số nhóm cổ phiếu có tỷ suất cổ tức tăng trưởng
      x-enum-varnames:
        - VNINDEX
        - HNX
        - HNX30
        - VN30
        - VN100
        - VNXALLSHARE
        - UPCOM
        - VNMITECH
        - VN50GROWTH
        - VNDIVIDEND
      example: VN30
    InstrumentsResponse:
      type: object
      properties:
        data:
          type: array
          description: Danh sách thông tin mã chứng khoán
          example:
            - symbol: ACB
              marketId: STO
              securityGroupId: ST
              symbolType: ''
              listedDate: '2020-12-09'
              shortName: Ngân hàng Á Châu
              name: Ngân hàng TMCP Á Châu
              indexName:
                - VN100
                - VN30
          items:
            $ref: '#/components/schemas/Instrument'
        total:
          type: integer
          format: int32
          example: 5
          description: Tổng số bản ghi
        page:
          type: integer
          format: int32
          example: 1
          description: Trang hiện tại (bắt đầu từ 1)
        pageSize:
          type: integer
          format: int32
          example: 100
          description: Số bản ghi trên mỗi trang
    Instrument:
      type: object
      properties:
        symbol:
          type: string
          example: ACB
          description: Mã chứng khoán
        marketId:
          allOf:
            - $ref: '#/components/schemas/MarketId'
          example: STO
          description: |-
            Mã thị trường niêm yết
            - STO: Cổ phiếu sàn HOSE
            - STX: Cổ phiếu sàn HNX
            - UPX: Cổ phiếu sàn UPCOM
            - DVX: Phái sinh
            - HCX: Trái phiếu doanh nghiệp
        securityGroupId:
          allOf:
            - $ref: '#/components/schemas/SecurityGroupId'
          example: ST
          description: |-
            Nhóm chứng khoán
            - ST: Cổ phiếu
            - EF: Quỹ ETF
            - EW: Chứng quyền
            - FU: Hợp đồng tương lai
            - BS: Trái phiếu
        symbolType:
          allOf:
            - $ref: '#/components/schemas/SymbolType'
          example: ''
          description: >-
            Phân loại mã hợp đồng phái sinh theo thời gian đáo hạn (áp dụng cho
            DERIVATIVE)

            - VN30F1M: HĐTL chỉ số VN30 1 tháng

            - VN30F2M: HĐTL chỉ số VN30 2 tháng

            - VN30F1Q: HĐTL chỉ số VN30 1 quý

            - VN30F2Q: HĐTL chỉ số VN30 2 quý
        listedDate:
          type: string
          example: '2020-12-09'
          description: Ngày niêm yết
        shortName:
          type: string
          example: Ngân hàng Á Châu
          description: Tên viết tắt của tổ chức phát hành
        name:
          type: string
          example: Ngân hàng TMCP Á Châu
          description: Tên đầy đủ của tổ chức phát hành
        indexName:
          type: array
          description: Danh sách chỉ số mà mã chứng khoán thuộc về (nếu có)
          example:
            - VN100
          items:
            type: string
            example: VN100
            description: Tên chỉ số
    ErrorBody:
      type: object
      required:
        - status
        - code
        - message
      properties:
        status:
          type: integer
          format: int32
          description: Mã HTTP.
          example: 400
        code:
          type: string
          description: Mã lỗi DNSE.
          example: OA-003
        message:
          type: string
          description: Thông điệp lỗi.
          example: Thông tin nhập không hợp lệ
    SymbolType:
      type: string
      description: |-
        Phân loại mã hợp đồng phái sinh theo thời gian đáo hạn.

        - ``: Không áp dụng cho mã không phải hợp đồng phái sinh
        - `VN30F1M`: HĐTL chỉ số VN30 1 tháng
        - `VN30F2M`: HĐTL chỉ số VN30 2 tháng
        - `VN30F1Q`: HĐTL chỉ số VN30 1 quý
        - `VN30F2Q`: HĐTL chỉ số VN30 2 quý
      enum:
        - ''
        - VN30F1M
        - VN30F2M
        - VN30F1Q
        - VN30F2Q
      x-enum-descriptions:
        - Không áp dụng
        - HĐTL chỉ số VN30 1 tháng
        - HĐTL chỉ số VN30 2 tháng
        - HĐTL chỉ số VN30 1 quý
        - HĐTL chỉ số VN30 2 quý
      x-enum-varnames:
        - UNSPECIFIED
        - VN30F1M
        - VN30F2M
        - VN30F1Q
        - VN30F2Q
      example: VN30F1M
  headers:
    AccessControlAllowCredentials:
      description: Whether the response permits credentials in cross-origin requests.
      schema:
        type: boolean
      example: true
    ContentLength:
      description: Response body size in bytes.
      schema:
        type: integer
      example: 430
    Date:
      description: Response date from the DNSE gateway.
      schema:
        type: string
      example: Wed, 18 Mar 2026 16:17:35 GMT
    Vary:
      description: >-
        Response header indicating the request headers used for content
        negotiation.
      schema:
        type: string
      example: Origin
    XContentTypeOptions:
      description: Header that prevents MIME type sniffing.
      schema:
        type: string
      example: nosniff
    XFrameOptions:
      description: Clickjacking protection header returned by the gateway.
      schema:
        type: string
      example: GOFORIT
    XRateLimitLimit:
      description: Maximum number of requests allowed in the current rate-limit window.
      schema:
        type: integer
      example: 300
    XRateLimitRemaining:
      description: Number of requests remaining in the current rate-limit window.
      schema:
        type: integer
      example: 299
    XRateLimitReset:
      description: Unix timestamp at which the current rate-limit window resets.
      schema:
        type: integer
      example: 1773850655
    XRequestId:
      description: Unique identifier assigned to the request by the DNSE gateway.
      schema:
        type: string
      example: unknown
    XXssProtection:
      description: Browser XSS protection header returned by the gateway.
      schema:
        type: string
      example: 0
  responses:
    BadRequest:
      description: Yêu cầu không hợp lệ.
      headers:
        Content-Length:
          $ref: '#/components/headers/ContentLength'
        Date:
          $ref: '#/components/headers/Date'
        Vary:
          $ref: '#/components/headers/Vary'
        X-Ratelimit-Limit:
          $ref: '#/components/headers/XRateLimitLimit'
        X-Ratelimit-Remaining:
          $ref: '#/components/headers/XRateLimitRemaining'
        X-Ratelimit-Reset:
          $ref: '#/components/headers/XRateLimitReset'
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
        X-Tyk-Api-Expires:
          schema:
            type: string
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorBody'
          example:
            status: 400
            code: OA-003
            message: Thông tin nhập không hợp lệ
    InternalError:
      description: Lỗi hệ thống.
      headers:
        Content-Length:
          $ref: '#/components/headers/ContentLength'
        Date:
          $ref: '#/components/headers/Date'
        Vary:
          $ref: '#/components/headers/Vary'
        X-Ratelimit-Limit:
          $ref: '#/components/headers/XRateLimitLimit'
        X-Ratelimit-Remaining:
          $ref: '#/components/headers/XRateLimitRemaining'
        X-Ratelimit-Reset:
          $ref: '#/components/headers/XRateLimitReset'
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
        X-Tyk-Api-Expires:
          schema:
            type: string
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorBody'
          example:
            status: 500
            code: OA-009
            message: Lỗi hệ thống

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.